Commit 52a243e4 authored by Naba Kumar's avatar Naba Kumar

Removed libbonobo dep.

	* configure.in,	gdl-1.0.pc.in, gdl.spec.in: Removed libbonobo dep.
parent 1949ca9e
2005-07-27 Naba Kumar <naba@gnome.org>
* configure.in, gdl-1.0.pc.in, gdl.spec.in: Removed libbonobo dep.
2005-07-06 Jeroen Zwartepoorte <jeroen.zwartepoorte@gmail.com>
* gdl/gdl-dock-master.c: (foreach_lock_unlock),
......
......@@ -36,13 +36,11 @@ AC_SUBST(SNAPSHOT)
GTK_REQUIRED=2.3.0
GNOME_REQUIRED=2.5.0
BONOBOUI_REQUIRED=2.2.0
XML_REQUIRED=2.2.8
LIBGLADE_REQUIRED=2.0.0
AC_SUBST(GTK_REQUIRED)
AC_SUBST(GNOME_REQUIRED)
AC_SUBST(BONOBOUI_REQUIRED)
AC_SUBST(XML_REQUIRED)
AC_SUBST(LIBGLADE_REQUIRED)
......@@ -80,7 +78,6 @@ AC_SUBST(XML_LIBS)
PKG_CHECK_MODULES(GDL_DEPENDENCIES,
gtk+-2.0 >= $GTK_REQUIRED
libgnomeui-2.0 >= $GNOME_REQUIRED
libbonoboui-2.0 >= $BONOBOUI_REQUIRED
libglade-2.0 >= $LIBGLADE_REQUIRED)
AC_SUBST(GDL_DEPENDENCIES_CFLAGS)
AC_SUBST(GDL_DEPENDENCIES_LIBS)
......
......@@ -7,6 +7,6 @@ idldir=@datadir@/idl/libgdl-1.0
Name: gdl
Description: Gnome DevTool Libraries
Version: @VERSION@
Requires: libbonoboui-2.0 libgnome-2.0 gtk+-2.0 libxml-2.0 libglade-2.0
Requires: libgnome-2.0 gtk+-2.0 libxml-2.0 libglade-2.0
Libs: -L${libdir} -lgdl-1
Cflags: -I${includedir}
......@@ -9,10 +9,8 @@ BuildRoot: /var/tmp/%{name}-%{version}-root
URL: http://www.gnome.org
Requires: gtk2 >= @GTK_REQUIRED@
Requires: libgnomeui >= @GNOME_REQUIRED@
Requires: libbonoboui >= @BONOBOUI_REQUIRED@
Requires: libxml2 >= @XML_REQUIRED@
Requires: libglade2 >= @LIBGLADE_REQUIRED@
Requires: librsvg2 >= @LIBRSVG_REQUIRED@
%description
This package contains components and libraries that are intended to be
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment